package org.jeecg.modules.userCode.service;

import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.bean.LoginReq;
import org.jeecg.modules.postBean.ReqUserRole;
import org.jeecg.modules.postBean.ReqUserRole2;

public interface AppletLoginService {
    /**
     * 微信小程序登录接口
     *
     * @param loginReq
     * @return
     */
    Result<Object> appletLogin(LoginReq loginReq);

    Result<JSONObject> role(ReqUserRole reqUserRole, String token);


    Result<JSONObject> role2(ReqUserRole2 reqUserRole, String token);


}
